Method: projects.sources.locations.findings.export

Kicks off an LRO to export findings for an organization to the customer's BigQuery dataset.

HTTP request


POST https://securitycenter.googleapis.com/v2/{parent=projects/*/sources/*/locations/*}/findings:export

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The relative name of the export scope. Example formats: organizations/{organization}/sources/-/locations/{location}

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "bigQueryDestination": {
    object (BigQueryDestination)
  }
  // End of mutually exclusive fields.
}
Fields
The destination to export findings to. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
bigQueryDestination

object (BigQueryDestination)

Required. The destination BigQuery dataset to export findings to.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/securitycenter

For more information, see the Authentication Overview.